Package org.eclipse.rdf4j.sail.shacl.wrapper.shape

## Enum ShapeSource.Predicates

- java.lang.Object
- - java.lang.Enum<ShapeSource.Predicates>
  - - org.eclipse.rdf4j.sail.shacl.wrapper.shape.ShapeSource.Predicates

- All Implemented Interfaces:
    `Serializable`, `Comparable<ShapeSource.Predicates>`
  Enclosing interface:
    ShapeSource

      public static enum ShapeSource.Predicates
      extends Enum<ShapeSource.Predicates>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABSTRACT_RESULT` |
    `ALTERNATIVE_PATH` |
    `AND` |
    `AND_CONSTRAINT_COMPONENT` |
    `AND_CONSTRAINT_COMPONENT_AND` |
    `ANNOTATION_PROPERTY` |
    `ANNOTATION_VALUE` |
    `ANNOTATION_VAR_NAME` |
    `ASK` |
    `BLANK_NODE` |
    `BLANK_NODE_OR_IRI` |
    `BLANK_NODE_OR_LITERAL` |
    `CLASS` |
    `CLASS_CONSTRAINT_COMPONENT` |
    `CLASS_CONSTRAINT_COMPONENT_CLASS` |
    `CLOSED` |
    `CLOSED_CONSTRAINT_COMPONENT` |
    `CLOSED_CONSTRAINT_COMPONENT_CLOSED` |
    `CLOSED_CONSTRAINT_COMPONENT_IGNORED_PROPERTIES` |
    `CONFORMS` |
    `CONSTRAINT_COMPONENT` |
    `CONSTRUCT` |
    `DATATYPE` |
    `DATATYPE_CONSTRAINT_COMPONENT` |
    `DATATYPE_CONSTRAINT_COMPONENT_DATATYPE` |
    `DEACTIVATED` |
    `DECLARE` |
    `DEFAULT_VALUE` |
    `DERIVED_VALUES` |
    `DERIVED_VALUES_CONSTRAINT_COMPONENT` |
    `DESCRIPTION` |
    `DETAIL` |
    `DISJOINT` |
    `DISJOINT_CONSTRAINT_COMPONENT` |
    `DISJOINT_CONSTRAINT_COMPONENT_DISJOINT` |
    `EQUALS` |
    `EQUALS_CONSTRAINT_COMPONENT` |
    `EQUALS_CONSTRAINT_COMPONENT_EQUALS` |
    `FLAGS` |
    `FOCUS_NODE` |
    `FUNCTION` |
    `GROUP` |
    `HAS_VALUE` |
    `HAS_VALUE_CONSTRAINT_COMPONENT` |
    `HAS_VALUE_CONSTRAINT_COMPONENT_HAS_VALUE` |
    `IGNORED_PROPERTIES` |
    `IN` |
    `IN_CONSTRAINT_COMPONENT` |
    `IN_CONSTRAINT_COMPONENT_IN` |
    `INFO` |
    `INVERSE_PATH` |
    `IRI` |
    `IRI_OR_LITERAL` |
    `LABEL_TEMPLATE` |
    `LANGUAGE_IN` |
    `LANGUAGE_IN_CONSTRAINT_COMPONENT` |
    `LANGUAGE_IN_CONSTRAINT_COMPONENT_LANGUAGE_IN` |
    `LESS_THAN` |
    `LESS_THAN_CONSTRAINT_COMPONENT` |
    `LESS_THAN_CONSTRAINT_COMPONENT_LESS_THAN` |
    `LESS_THAN_OR_EQUALS` |
    `LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT` |
    `LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT_LESS_THAN_OR_EQUALS` |
    `LITERAL` |
    `MAX_COUNT` |
    `MAX_COUNT_CONSTRAINT_COMPONENT` |
    `MAX_COUNT_CONSTRAINT_COMPONENT_MAX_COUNT` |
    `MAX_EXCLUSIVE` |
    `MAX_EXCLUSIVE_CONSTRAINT_COMPONENT` |
    `MAX_EXCLUSIVE_CONSTRAINT_COMPONENT_MAX_EXCLUSIVE` |
    `MAX_INCLUSIVE` |
    `MAX_INCLUSIVE_CONSTRAINT_COMPONENT` |
    `MAX_INCLUSIVE_CONSTRAINT_COMPONENT_MAX_INCLUSIVE` |
    `MAX_LENGTH` |
    `MAX_LENGTH_CONSTRAINT_COMPONENT` |
    `MAX_LENGTH_CONSTRAINT_COMPONENT_MAX_LENGTH` |
    `MESSAGE` |
    `MIN_COUNT` |
    `MIN_COUNT_CONSTRAINT_COMPONENT` |
    `MIN_COUNT_CONSTRAINT_COMPONENT_MIN_COUNT` |
    `MIN_EXCLUSIVE` |
    `MIN_EXCLUSIVE_CONSTRAINT_COMPONENT` |
    `MIN_EXCLUSIVE_CONSTRAINT_COMPONENT_MIN_EXCLUSIVE` |
    `MIN_INCLUSIVE` |
    `MIN_INCLUSIVE_CONSTRAINT_COMPONENT` |
    `MIN_INCLUSIVE_CONSTRAINT_COMPONENT_MIN_INCLUSIVE` |
    `MIN_LENGTH` |
    `MIN_LENGTH_CONSTRAINT_COMPONENT` |
    `MIN_LENGTH_CONSTRAINT_COMPONENT_MIN_LENGTH` |
    `NAME` |
    `NAMESPACE_PROP` |
    `NODE` |
    `NODE_CONSTRAINT_COMPONENT` |
    `NODE_CONSTRAINT_COMPONENT_NODE` |
    `NODE_KIND` |
    `NODE_KIND_CONSTRAINT_COMPONENT` |
    `NODE_KIND_CONSTRAINT_COMPONENT_NODE_KIND` |
    `NODE_KIND_PROP` |
    `NODE_SHAPE` |
    `NODE_VALIDATOR` |
    `NOT` |
    `NOT_CONSTRAINT_COMPONENT` |
    `NOT_CONSTRAINT_COMPONENT_NOT` |
    `ONE_OR_MORE_PATH` |
    `OPTIONAL` |
    `OR` |
    `OR_CONSTRAINT_COMPONENT` |
    `OR_CONSTRAINT_COMPONENT_OR` |
    `ORDER` |
    `PARAMETER` |
    `PARAMETER_PROP` |
    `PARAMETERIZABLE` |
    `PATH` |
    `PATTERN` |
    `PATTERN_CONSTRAINT_COMPONENT` |
    `PATTERN_CONSTRAINT_COMPONENT_FLAGS` |
    `PATTERN_CONSTRAINT_COMPONENT_PATTERN` |
    `PREFIX_DECLARATION` |
    `PREFIX_PROP` |
    `PREFIXES` |
    `PROPERTY` |
    `PROPERTY_CONSTRAINT_COMPONENT` |
    `PROPERTY_CONSTRAINT_COMPONENT_PROPERTY` |
    `PROPERTY_GROUP` |
    `PROPERTY_SHAPE` |
    `PROPERTY_VALIDATOR` |
    `QUALIFIED_MAX_COUNT` |
    `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT` |
    `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MAX_COUNT` |
    `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE` |
    `QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT` |
    `QUALIFIED_MIN_COUNT` |
    `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT` |
    `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MIN_COUNT` |
    `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE` |
    `QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT` |
    `QUALIFIED_VALUE_SHAPE` |
    `QUALIFIED_VALUE_SHAPES_DISJOINT` |
    `RESULT` |
    `RESULT_ANNOTATION` |
    `RESULT_ANNOTATION_PROP` |
    `RESULT_MESSAGE` |
    `RESULT_PATH` |
    `RESULT_SEVERITY` |
    `RETURN_TYPE` |
    `RSX_targetShape` |
    `SELECT` |
    `SEVERITY` |
    `SEVERITY_PROP` |
    `SHAPE` |
    `SHAPES_GRAPH` |
    `SHAPES_GRAPH_WELL_FORMED` |
    `SOURCE_CONSTRAINT` |
    `SOURCE_CONSTRAINT_COMPONENT` |
    `SOURCE_SHAPE` |
    `SPARQL` |
    `SPARQL_ASK_EXECUTABLE` |
    `SPARQL_ASK_VALIDATOR` |
    `SPARQL_CONSTRAINT` |
    `SPARQL_CONSTRAINT_COMPONENT` |
    `SPARQL_CONSTRAINT_COMPONENT_SPARQL` |
    `SPARQL_CONSTRUCT_EXECUTABLE` |
    `SPARQL_EXECUTABLE` |
    `SPARQL_FUNCTION` |
    `SPARQL_SELECT_EXECUTABLE` |
    `SPARQL_SELECT_VALIDATOR` |
    `SPARQL_TARGET` |
    `SPARQL_TARGET_TYPE` |
    `SPARQL_UPDATE_EXECUTABLE` |
    `SPARQL_VALUES_DERIVER` |
    `TARGET` |
    `TARGET_CLASS` |
    `TARGET_NODE` |
    `TARGET_OBJECTS_OF` |
    `TARGET_PROP` |
    `TARGET_SUBJECTS_OF` |
    `TARGET_TYPE` |
    `UNIQUE_LANG` |
    `UNIQUE_LANG_CONSTRAINT_COMPONENT` |
    `UNIQUE_LANG_CONSTRAINT_COMPONENT_UNIQUE_LANG` |
    `UPDATE` |
    `VALIDATION_REPORT` |
    `VALIDATION_RESULT` |
    `VALIDATOR` |
    `VALIDATOR_PROP` |
    `VALUE` |
    `VALUES_DERIVER` |
    `VIOLATION` |
    `WARNING` |
    `XONE` |
    `XONE_CONSTRAINT_COMPONENT` |
    `XONE_CONSTRAINT_COMPONENT_XONE` |
    `ZERO_OR_MORE_PATH` |
    `ZERO_OR_ONE_PATH` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRI` | `getIRI()` |
    `static ShapeSource.Predicates` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ShapeSource.Predicates[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSTRACT_RESULT

          public static final ShapeSource.Predicates ABSTRACT_RESULT

    - #### AND_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates AND_CONSTRAINT_COMPONENT

    - #### AND_CONSTRAINT_COMPONENT_AND

          public static final ShapeSource.Predicates AND_CONSTRAINT_COMPONENT_AND

    - #### BLANK_NODE

          public static final ShapeSource.Predicates BLANK_NODE

    - #### BLANK_NODE_OR_IRI

          public static final ShapeSource.Predicates BLANK_NODE_OR_IRI

    - #### BLANK_NODE_OR_LITERAL

          public static final ShapeSource.Predicates BLANK_NODE_OR_LITERAL

    - #### CLASS_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates CLASS_CONSTRAINT_COMPONENT

    - #### CLASS_CONSTRAINT_COMPONENT_CLASS

          public static final ShapeSource.Predicates CLASS_CONSTRAINT_COMPONENT_CLASS

    - #### CLOSED_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates CLOSED_CONSTRAINT_COMPONENT

    - #### CLOSED_CONSTRAINT_COMPONENT_CLOSED

          public static final ShapeSource.Predicates CLOSED_CONSTRAINT_COMPONENT_CLOSED

    - #### CLOSED_CONSTRAINT_COMPONENT_IGNORED_PROPERTIES

          public static final ShapeSource.Predicates CLOSED_CONSTRAINT_COMPONENT_IGNORED_PROPERTIES

    - #### CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates CONSTRAINT_COMPONENT

    - #### DATATYPE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates DATATYPE_CONSTRAINT_COMPONENT

    - #### DATATYPE_CONSTRAINT_COMPONENT_DATATYPE

          public static final ShapeSource.Predicates DATATYPE_CONSTRAINT_COMPONENT_DATATYPE

    - #### DERIVED_VALUES_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates DERIVED_VALUES_CONSTRAINT_COMPONENT

    - #### DISJOINT_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates DISJOINT_CONSTRAINT_COMPONENT

    - #### DISJOINT_CONSTRAINT_COMPONENT_DISJOINT

          public static final ShapeSource.Predicates DISJOINT_CONSTRAINT_COMPONENT_DISJOINT

    - #### EQUALS_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates EQUALS_CONSTRAINT_COMPONENT

    - #### EQUALS_CONSTRAINT_COMPONENT_EQUALS

          public static final ShapeSource.Predicates EQUALS_CONSTRAINT_COMPONENT_EQUALS

    - #### FUNCTION

          public static final ShapeSource.Predicates FUNCTION

    - #### HAS_VALUE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates HAS_VALUE_CONSTRAINT_COMPONENT

    - #### HAS_VALUE_CONSTRAINT_COMPONENT_HAS_VALUE

          public static final ShapeSource.Predicates HAS_VALUE_CONSTRAINT_COMPONENT_HAS_VALUE

    - #### IRI

          public static final ShapeSource.Predicates IRI

    - #### IRI_OR_LITERAL

          public static final ShapeSource.Predicates IRI_OR_LITERAL

    - #### IN_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates IN_CONSTRAINT_COMPONENT

    - #### IN_CONSTRAINT_COMPONENT_IN

          public static final ShapeSource.Predicates IN_CONSTRAINT_COMPONENT_IN

    - #### INFO

          public static final ShapeSource.Predicates INFO

    - #### LANGUAGE_IN_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates LANGUAGE_IN_CONSTRAINT_COMPONENT

    - #### LANGUAGE_IN_CONSTRAINT_COMPONENT_LANGUAGE_IN

          public static final ShapeSource.Predicates LANGUAGE_IN_CONSTRAINT_COMPONENT_LANGUAGE_IN

    - #### LESS_THAN_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates LESS_THAN_CONSTRAINT_COMPONENT

    - #### LESS_THAN_CONSTRAINT_COMPONENT_LESS_THAN

          public static final ShapeSource.Predicates LESS_THAN_CONSTRAINT_COMPONENT_LESS_THAN

    - #### LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT

    - #### LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT_LESS_THAN_OR_EQUALS

          public static final ShapeSource.Predicates LESS_THAN_OR_EQUALS_CONSTRAINT_COMPONENT_LESS_THAN_OR_EQUALS

    - #### LITERAL

          public static final ShapeSource.Predicates LITERAL

    - #### MAX_COUNT_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MAX_COUNT_CONSTRAINT_COMPONENT

    - #### MAX_COUNT_CONSTRAINT_COMPONENT_MAX_COUNT

          public static final ShapeSource.Predicates MAX_COUNT_CONSTRAINT_COMPONENT_MAX_COUNT

    - #### MAX_EXCLUSIVE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MAX_EXCLUSIVE_CONSTRAINT_COMPONENT

    - #### MAX_EXCLUSIVE_CONSTRAINT_COMPONENT_MAX_EXCLUSIVE

          public static final ShapeSource.Predicates MAX_EXCLUSIVE_CONSTRAINT_COMPONENT_MAX_EXCLUSIVE

    - #### MAX_INCLUSIVE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MAX_INCLUSIVE_CONSTRAINT_COMPONENT

    - #### MAX_INCLUSIVE_CONSTRAINT_COMPONENT_MAX_INCLUSIVE

          public static final ShapeSource.Predicates MAX_INCLUSIVE_CONSTRAINT_COMPONENT_MAX_INCLUSIVE

    - #### MAX_LENGTH_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MAX_LENGTH_CONSTRAINT_COMPONENT

    - #### MAX_LENGTH_CONSTRAINT_COMPONENT_MAX_LENGTH

          public static final ShapeSource.Predicates MAX_LENGTH_CONSTRAINT_COMPONENT_MAX_LENGTH

    - #### MIN_COUNT_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MIN_COUNT_CONSTRAINT_COMPONENT

    - #### MIN_COUNT_CONSTRAINT_COMPONENT_MIN_COUNT

          public static final ShapeSource.Predicates MIN_COUNT_CONSTRAINT_COMPONENT_MIN_COUNT

    - #### MIN_EXCLUSIVE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MIN_EXCLUSIVE_CONSTRAINT_COMPONENT

    - #### MIN_EXCLUSIVE_CONSTRAINT_COMPONENT_MIN_EXCLUSIVE

          public static final ShapeSource.Predicates MIN_EXCLUSIVE_CONSTRAINT_COMPONENT_MIN_EXCLUSIVE

    - #### MIN_INCLUSIVE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MIN_INCLUSIVE_CONSTRAINT_COMPONENT

    - #### MIN_INCLUSIVE_CONSTRAINT_COMPONENT_MIN_INCLUSIVE

          public static final ShapeSource.Predicates MIN_INCLUSIVE_CONSTRAINT_COMPONENT_MIN_INCLUSIVE

    - #### MIN_LENGTH_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates MIN_LENGTH_CONSTRAINT_COMPONENT

    - #### MIN_LENGTH_CONSTRAINT_COMPONENT_MIN_LENGTH

          public static final ShapeSource.Predicates MIN_LENGTH_CONSTRAINT_COMPONENT_MIN_LENGTH

    - #### NODE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates NODE_CONSTRAINT_COMPONENT

    - #### NODE_CONSTRAINT_COMPONENT_NODE

          public static final ShapeSource.Predicates NODE_CONSTRAINT_COMPONENT_NODE

    - #### NODE_KIND

          public static final ShapeSource.Predicates NODE_KIND

    - #### NODE_KIND_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates NODE_KIND_CONSTRAINT_COMPONENT

    - #### NODE_KIND_CONSTRAINT_COMPONENT_NODE_KIND

          public static final ShapeSource.Predicates NODE_KIND_CONSTRAINT_COMPONENT_NODE_KIND

    - #### NODE_SHAPE

          public static final ShapeSource.Predicates NODE_SHAPE

    - #### NOT_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates NOT_CONSTRAINT_COMPONENT

    - #### NOT_CONSTRAINT_COMPONENT_NOT

          public static final ShapeSource.Predicates NOT_CONSTRAINT_COMPONENT_NOT

    - #### OR_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates OR_CONSTRAINT_COMPONENT

    - #### OR_CONSTRAINT_COMPONENT_OR

          public static final ShapeSource.Predicates OR_CONSTRAINT_COMPONENT_OR

    - #### PARAMETER

          public static final ShapeSource.Predicates PARAMETER

    - #### PARAMETERIZABLE

          public static final ShapeSource.Predicates PARAMETERIZABLE

    - #### PATTERN_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates PATTERN_CONSTRAINT_COMPONENT

    - #### PATTERN_CONSTRAINT_COMPONENT_FLAGS

          public static final ShapeSource.Predicates PATTERN_CONSTRAINT_COMPONENT_FLAGS

    - #### PATTERN_CONSTRAINT_COMPONENT_PATTERN

          public static final ShapeSource.Predicates PATTERN_CONSTRAINT_COMPONENT_PATTERN

    - #### PREFIX_DECLARATION

          public static final ShapeSource.Predicates PREFIX_DECLARATION

    - #### PROPERTY_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates PROPERTY_CONSTRAINT_COMPONENT

    - #### PROPERTY_CONSTRAINT_COMPONENT_PROPERTY

          public static final ShapeSource.Predicates PROPERTY_CONSTRAINT_COMPONENT_PROPERTY

    - #### PROPERTY_GROUP

          public static final ShapeSource.Predicates PROPERTY_GROUP

    - #### PROPERTY_SHAPE

          public static final ShapeSource.Predicates PROPERTY_SHAPE

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MAX_COUNT

          public static final ShapeSource.Predicates QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MAX_COUNT

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

          public static final ShapeSource.Predicates QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

    - #### QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

          public static final ShapeSource.Predicates QUALIFIED_MAX_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MIN_COUNT

          public static final ShapeSource.Predicates QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_MIN_COUNT

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

          public static final ShapeSource.Predicates QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPE

    - #### QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

          public static final ShapeSource.Predicates QUALIFIED_MIN_COUNT_CONSTRAINT_COMPONENT_QUALIFIED_VALUE_SHAPES_DISJOINT

    - #### RESULT_ANNOTATION

          public static final ShapeSource.Predicates RESULT_ANNOTATION

    - #### SPARQL_ASK_EXECUTABLE

          public static final ShapeSource.Predicates SPARQL_ASK_EXECUTABLE

    - #### SPARQL_ASK_VALIDATOR

          public static final ShapeSource.Predicates SPARQL_ASK_VALIDATOR

    - #### SPARQL_CONSTRAINT

          public static final ShapeSource.Predicates SPARQL_CONSTRAINT

    - #### SPARQL_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates SPARQL_CONSTRAINT_COMPONENT

    - #### SPARQL_CONSTRAINT_COMPONENT_SPARQL

          public static final ShapeSource.Predicates SPARQL_CONSTRAINT_COMPONENT_SPARQL

    - #### SPARQL_CONSTRUCT_EXECUTABLE

          public static final ShapeSource.Predicates SPARQL_CONSTRUCT_EXECUTABLE

    - #### SPARQL_EXECUTABLE

          public static final ShapeSource.Predicates SPARQL_EXECUTABLE

    - #### SPARQL_FUNCTION

          public static final ShapeSource.Predicates SPARQL_FUNCTION

    - #### SPARQL_SELECT_EXECUTABLE

          public static final ShapeSource.Predicates SPARQL_SELECT_EXECUTABLE

    - #### SPARQL_SELECT_VALIDATOR

          public static final ShapeSource.Predicates SPARQL_SELECT_VALIDATOR

    - #### SPARQL_TARGET

          public static final ShapeSource.Predicates SPARQL_TARGET

    - #### SPARQL_TARGET_TYPE

          public static final ShapeSource.Predicates SPARQL_TARGET_TYPE

    - #### SPARQL_UPDATE_EXECUTABLE

          public static final ShapeSource.Predicates SPARQL_UPDATE_EXECUTABLE

    - #### SPARQL_VALUES_DERIVER

          public static final ShapeSource.Predicates SPARQL_VALUES_DERIVER

    - #### SEVERITY

          public static final ShapeSource.Predicates SEVERITY

    - #### SHAPE

          public static final ShapeSource.Predicates SHAPE

    - #### TARGET

          public static final ShapeSource.Predicates TARGET

    - #### TARGET_TYPE

          public static final ShapeSource.Predicates TARGET_TYPE

    - #### UNIQUE_LANG_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates UNIQUE_LANG_CONSTRAINT_COMPONENT

    - #### UNIQUE_LANG_CONSTRAINT_COMPONENT_UNIQUE_LANG

          public static final ShapeSource.Predicates UNIQUE_LANG_CONSTRAINT_COMPONENT_UNIQUE_LANG

    - #### VALIDATION_REPORT

          public static final ShapeSource.Predicates VALIDATION_REPORT

    - #### VALIDATION_RESULT

          public static final ShapeSource.Predicates VALIDATION_RESULT

    - #### VALIDATOR

          public static final ShapeSource.Predicates VALIDATOR

    - #### VALUES_DERIVER

          public static final ShapeSource.Predicates VALUES_DERIVER

    - #### VIOLATION

          public static final ShapeSource.Predicates VIOLATION

    - #### WARNING

          public static final ShapeSource.Predicates WARNING

    - #### XONE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates XONE_CONSTRAINT_COMPONENT

    - #### XONE_CONSTRAINT_COMPONENT_XONE

          public static final ShapeSource.Predicates XONE_CONSTRAINT_COMPONENT_XONE

    - #### ALTERNATIVE_PATH

          public static final ShapeSource.Predicates ALTERNATIVE_PATH

    - #### AND

          public static final ShapeSource.Predicates AND

    - #### ANNOTATION_PROPERTY

          public static final ShapeSource.Predicates ANNOTATION_PROPERTY

    - #### ANNOTATION_VALUE

          public static final ShapeSource.Predicates ANNOTATION_VALUE

    - #### ANNOTATION_VAR_NAME

          public static final ShapeSource.Predicates ANNOTATION_VAR_NAME

    - #### ASK

          public static final ShapeSource.Predicates ASK

    - #### CLASS

          public static final ShapeSource.Predicates CLASS

    - #### CLOSED

          public static final ShapeSource.Predicates CLOSED

    - #### CONFORMS

          public static final ShapeSource.Predicates CONFORMS

    - #### CONSTRUCT

          public static final ShapeSource.Predicates CONSTRUCT

    - #### DATATYPE

          public static final ShapeSource.Predicates DATATYPE

    - #### DEACTIVATED

          public static final ShapeSource.Predicates DEACTIVATED

    - #### DECLARE

          public static final ShapeSource.Predicates DECLARE

    - #### DEFAULT_VALUE

          public static final ShapeSource.Predicates DEFAULT_VALUE

    - #### DERIVED_VALUES

          public static final ShapeSource.Predicates DERIVED_VALUES

    - #### DESCRIPTION

          public static final ShapeSource.Predicates DESCRIPTION

    - #### DETAIL

          public static final ShapeSource.Predicates DETAIL

    - #### DISJOINT

          public static final ShapeSource.Predicates DISJOINT

    - #### EQUALS

          public static final ShapeSource.Predicates EQUALS

    - #### FLAGS

          public static final ShapeSource.Predicates FLAGS

    - #### FOCUS_NODE

          public static final ShapeSource.Predicates FOCUS_NODE

    - #### GROUP

          public static final ShapeSource.Predicates GROUP

    - #### HAS_VALUE

          public static final ShapeSource.Predicates HAS_VALUE

    - #### IGNORED_PROPERTIES

          public static final ShapeSource.Predicates IGNORED_PROPERTIES

    - #### IN

          public static final ShapeSource.Predicates IN

    - #### INVERSE_PATH

          public static final ShapeSource.Predicates INVERSE_PATH

    - #### LABEL_TEMPLATE

          public static final ShapeSource.Predicates LABEL_TEMPLATE

    - #### LANGUAGE_IN

          public static final ShapeSource.Predicates LANGUAGE_IN

    - #### LESS_THAN

          public static final ShapeSource.Predicates LESS_THAN

    - #### LESS_THAN_OR_EQUALS

          public static final ShapeSource.Predicates LESS_THAN_OR_EQUALS

    - #### MAX_COUNT

          public static final ShapeSource.Predicates MAX_COUNT

    - #### MAX_EXCLUSIVE

          public static final ShapeSource.Predicates MAX_EXCLUSIVE

    - #### MAX_INCLUSIVE

          public static final ShapeSource.Predicates MAX_INCLUSIVE

    - #### MAX_LENGTH

          public static final ShapeSource.Predicates MAX_LENGTH

    - #### MESSAGE

          public static final ShapeSource.Predicates MESSAGE

    - #### MIN_COUNT

          public static final ShapeSource.Predicates MIN_COUNT

    - #### MIN_EXCLUSIVE

          public static final ShapeSource.Predicates MIN_EXCLUSIVE

    - #### MIN_INCLUSIVE

          public static final ShapeSource.Predicates MIN_INCLUSIVE

    - #### MIN_LENGTH

          public static final ShapeSource.Predicates MIN_LENGTH

    - #### NAME

          public static final ShapeSource.Predicates NAME

    - #### NAMESPACE_PROP

          public static final ShapeSource.Predicates NAMESPACE_PROP

    - #### NODE

          public static final ShapeSource.Predicates NODE

    - #### NODE_KIND_PROP

          public static final ShapeSource.Predicates NODE_KIND_PROP

    - #### NODE_VALIDATOR

          public static final ShapeSource.Predicates NODE_VALIDATOR

    - #### NOT

          public static final ShapeSource.Predicates NOT

    - #### ONE_OR_MORE_PATH

          public static final ShapeSource.Predicates ONE_OR_MORE_PATH

    - #### OPTIONAL

          public static final ShapeSource.Predicates OPTIONAL

    - #### OR

          public static final ShapeSource.Predicates OR

    - #### ORDER

          public static final ShapeSource.Predicates ORDER

    - #### PARAMETER_PROP

          public static final ShapeSource.Predicates PARAMETER_PROP

    - #### PATH

          public static final ShapeSource.Predicates PATH

    - #### PATTERN

          public static final ShapeSource.Predicates PATTERN

    - #### PREFIX_PROP

          public static final ShapeSource.Predicates PREFIX_PROP

    - #### PREFIXES

          public static final ShapeSource.Predicates PREFIXES

    - #### PROPERTY

          public static final ShapeSource.Predicates PROPERTY

    - #### PROPERTY_VALIDATOR

          public static final ShapeSource.Predicates PROPERTY_VALIDATOR

    - #### QUALIFIED_MAX_COUNT

          public static final ShapeSource.Predicates QUALIFIED_MAX_COUNT

    - #### QUALIFIED_MIN_COUNT

          public static final ShapeSource.Predicates QUALIFIED_MIN_COUNT

    - #### QUALIFIED_VALUE_SHAPE

          public static final ShapeSource.Predicates QUALIFIED_VALUE_SHAPE

    - #### QUALIFIED_VALUE_SHAPES_DISJOINT

          public static final ShapeSource.Predicates QUALIFIED_VALUE_SHAPES_DISJOINT

    - #### RESULT

          public static final ShapeSource.Predicates RESULT

    - #### RESULT_ANNOTATION_PROP

          public static final ShapeSource.Predicates RESULT_ANNOTATION_PROP

    - #### RESULT_MESSAGE

          public static final ShapeSource.Predicates RESULT_MESSAGE

    - #### RESULT_PATH

          public static final ShapeSource.Predicates RESULT_PATH

    - #### RESULT_SEVERITY

          public static final ShapeSource.Predicates RESULT_SEVERITY

    - #### RETURN_TYPE

          public static final ShapeSource.Predicates RETURN_TYPE

    - #### SELECT

          public static final ShapeSource.Predicates SELECT

    - #### SEVERITY_PROP

          public static final ShapeSource.Predicates SEVERITY_PROP

    - #### SHAPES_GRAPH

          public static final ShapeSource.Predicates SHAPES_GRAPH

    - #### SHAPES_GRAPH_WELL_FORMED

          public static final ShapeSource.Predicates SHAPES_GRAPH_WELL_FORMED

    - #### SOURCE_CONSTRAINT

          public static final ShapeSource.Predicates SOURCE_CONSTRAINT

    - #### SOURCE_CONSTRAINT_COMPONENT

          public static final ShapeSource.Predicates SOURCE_CONSTRAINT_COMPONENT

    - #### SOURCE_SHAPE

          public static final ShapeSource.Predicates SOURCE_SHAPE

    - #### SPARQL

          public static final ShapeSource.Predicates SPARQL

    - #### TARGET_PROP

          public static final ShapeSource.Predicates TARGET_PROP

    - #### TARGET_CLASS

          public static final ShapeSource.Predicates TARGET_CLASS

    - #### TARGET_NODE

          public static final ShapeSource.Predicates TARGET_NODE

    - #### TARGET_OBJECTS_OF

          public static final ShapeSource.Predicates TARGET_OBJECTS_OF

    - #### TARGET_SUBJECTS_OF

          public static final ShapeSource.Predicates TARGET_SUBJECTS_OF

    - #### UNIQUE_LANG

          public static final ShapeSource.Predicates UNIQUE_LANG

    - #### UPDATE

          public static final ShapeSource.Predicates UPDATE

    - #### VALIDATOR_PROP

          public static final ShapeSource.Predicates VALIDATOR_PROP

    - #### VALUE

          public static final ShapeSource.Predicates VALUE

    - #### XONE

          public static final ShapeSource.Predicates XONE

    - #### ZERO_OR_MORE_PATH

          public static final ShapeSource.Predicates ZERO_OR_MORE_PATH

    - #### ZERO_OR_ONE_PATH

          public static final ShapeSource.Predicates ZERO_OR_ONE_PATH

    - #### RSX_targetShape

          public static final ShapeSource.Predicates RSX_targetShape

  - ### Method Detail

    - #### values

          public static ShapeSource.Predicates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShapeSource.Predicates c : ShapeSource.Predicates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShapeSource.Predicates valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIRI

          public IRI getIRI()